Update template preview
curl --request PUT \
--url https://api.emailr.dev/v1/templates/{id}/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"html_content": "<h1>Welcome {{name}}</h1><p>Preview content here</p>"
}
'import requests
url = "https://api.emailr.dev/v1/templates/{id}/preview"
payload = { "html_content": "<h1>Welcome {{name}}</h1><p>Preview content here</p>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({html_content: '<h1>Welcome {{name}}</h1><p>Preview content here</p>'})
};
fetch('https://api.emailr.dev/v1/templates/{id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preview_url": "/preview/123e4567-e89b-12d3-a456-426614174000"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}templates
Update template preview
Update the preview HTML for a template. The preview can be accessed publicly at /preview/ without authentication.
PUT
/
v1
/
templates
/
{id}
/
preview
Update template preview
Authorizations
API key authentication. Use your API key as the bearer token.
Path Parameters
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
HTML content for the template preview
Minimum string length:
1Example:
"<h1>Welcome {{name}}</h1><p>Preview content here</p>"
Response
Preview updated
Public URL to access the preview (no authentication required)
Example:
"/preview/123e4567-e89b-12d3-a456-426614174000"
⌘I